Page MenuHomePhabricator

Jenkins should flag usage of deprecated features
Closed, ResolvedPublic

Description

Jenkins should set $wgDevelopmentWarnings = true, and keep a count of E_USER_DEPRECATED errors in the PHP error log that are generated by the test suite. If a patch causes that number to go up, Jenkins should -1 it.


Version: wmf-deployment
Severity: enhancement

Details

Reference
bz51908

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:05 AM
bzimport set Reference to bz51908.
bzimport added a subscriber: Unknown Object (MLST).
ori created this task.Jul 23 2013, 8:09 PM

Adding $wgDevelopmentWarnings = true was bug bug 38882, it was no more applied until I refactor the way we inject MediaWiki settings in build ( https://gerrit.wikimedia.org/r/#/c/89837/ ).

Long story short, the setting is enabled since roughly Oct 15 2013.

I am not sure whether a E_USER_DEPRECATED warning would throw an exception though. Might want to write a test case and see what happens.

demon removed a subscriber: demon.Dec 16 2014, 6:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2016, 4:02 AM
Krinkle removed a subscriber: Krinkle.Feb 23 2016, 4:52 PM
hashar closed this task as Resolved.Dec 21 2018, 9:39 PM
hashar claimed this task.

We have $wgDevelopmentWarnings enabled since 2012: T40882

Deprecations are considered failures and do break tests.

So I think we are covered :)